Новость Launcher для проекта Hardcore-SK

Discussion in 'Новости' started by Dzeniba, Jun 1, 2018.

  1. Dzeniba

    Dzeniba

    Messages:
    817
    Likes Received:
    104
    Ratings:
    +344 / 9
    [​IMG]

    Представляем вашему вниманию ланчер проекта Hardcore SK!

    Наш ланчер позволяет:

    • установить/обновить сборку HSK на Вашей игре. Начиная с 30 апреля 2019 года он работает только со сборкой для релиза 1.0 (ветка Master), и нам всё равно - пират Вы, или добропорядочный стимовец;
    • предупредит, если Вы попытаетесь установить сборку на несоответствующую версию игры;
    • сбросит настройки модов для исправления ошибок несовместимости со сторонними модами по Вашему желанию.
    Для установки сборки Hardcore-SK на Rimworld 1.0 Вам не придётся ничего скачивать и копировать вручную, всё будет сделано установщиком так, как и должно быть для полной работоспособности игры.

    Изменения в версии 1.6:


      • Добавлена поддержка х64 битной версии RimWorld.
      • Добавлена возможность выбора источника обновлений:
        • Stable — стабильная версия, на текущий момент это HSK для 1.0.
      • Добавлена возможность автоматического подключения и отключения указанного списка модов после установки обновления.
      • Добавлена возможность запуска пользовательского скрипта или утилиты по окончанию обновления (для модмейкеров).
      • Полностью переработан механизм обновлений, который обеспечивает чистоту установки обновлений HSK, не затрагивая пользовательские моды.
      • Повышена стабильность, улучшена отзывчивость, расширено логгирование.
    Возможности версии 1.1:



      • русский и английский языки;
      • опциональное обновление Modconfig;
      • выбор запуска игры по прямому пути, или используя Steam;
      • опция проверки новых обновлений при запуске ланчера.
      • автоматические обновление ланчера;
      • возможность установки из архива репозитория (скачиваете zip архив репозитория HSK, затем устанавливаете через ланчер, используя кнопку справа от опций);
      • возможность сменить язык при первом запуске ланчера сразу, на экране приветствия;
      • возможность повторить попытку установки обновлений HSK (без перекачивания), если произошла ошибка на шаге копирования файлов;
      • опция закрытия ланчера после успешного запуска игры (по-умолчанию выключена).

    Требования:

    • .Net Framework 4.5 (идет по-умолчанию, начиная с Windows 8. Нет поддержки Windows XP и ранее выпущенных ОС)

    Примечания:
    Если обновление не удалось, попробуйте еще раз.



    Скачать можно в разделе Ресурсы.

    Выражаем огромную благодарность Void'y за участие в проекте!
     
    Last edited: Jun 30, 2019
    • Мне нравится! Мне нравится! x 8
    • Круто! Круто! x 3
    • List
  2. wolh

    wolh Блоха

    Messages:
    1
    Likes Received:
    0
    Ratings:
    +0 / 0
    Неверная информация. Как не ухищряйся и что ни удаляй, клиент все равно х64
     
  3. Zim777

    Zim777

    Messages:
    220
    Likes Received:
    18
    Ratings:
    +124 / 3
    В18 из стима - всегда х32, другое дело что вам пишется ошибка RimWorld64.exe - это разные веши и если вы будете запускать Rim из стима(из самой библиотеки) - у вас будет "Rimworld" или "b18 rimworld". Об этом и обходе Этой проблемы можно почитать в моей гайдике.
     
  4. Shiny Head

    Shiny Head Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Вопрос!
    Что так сложно добавить в шапку ссылку на гайд по установке? Или так и задумано, чтобы я сначала трахался с этим сайтом\форумом, читал куча всяких гайдов с устаревшей\необновленной информацией?

    Кнопку с пожертваниями вы запилили, а с ссылкой на гайд по установке поленились сделать!

    у меня тоже Win10 x64 (куплена steam) и тоже не получается установить этот ланучер. Не видит экзешник.
    не знаю, как вы х32 устанавливаете, у меня по умолчанию х64 ставится.
    скриншот https://prnt.sc/l26a1j
     
  5. Zim777

    Zim777

    Messages:
    220
    Likes Received:
    18
    Ratings:
    +124 / 3
    Можно конечно, это не от меня зависит, я то сделал свое дело.
    Но в целом я очень удивляюсь людям, которые не могут использовать поиск по форуму.

    PS. скоро все равно гайд переписывать в связи с будущим переходом ХСК на В19
     
    Last edited: Oct 4, 2018
  6. Dzeniba

    Dzeniba

    Messages:
    817
    Likes Received:
    104
    Ratings:
    +344 / 9
    Вы меня простите, @Shiny Head, но эта информация не то, чтобы в шапке темы, она в шапке форума висит!
    [​IMG]
    Мне кажется, что не нужно быть Шерлоком Холмсом, чтобы её найти. Я не прав?
     
    • Мне нравится! Мне нравится! x 1
    • Забавно! Забавно! x 1
    • Оптимистично! Оптимистично! x 1
    • List
  7. yura220zzz

    yura220zzz Блоха

    Messages:
    1
    Likes Received:
    0
    Ratings:
    +0 / 0
    ребят можете помочь что мне надо сделать что бы заработало какой файл мне надо найти для запуска у меня нет файла винрар хотя сам винрар есть че делать ?
     
  8. Zim777

    Zim777

    Messages:
    220
    Likes Received:
    18
    Ratings:
    +124 / 3
    Над вами только что указали, куда вам надо зайти, там есть ссылка на гайд и все расписано.
     
  9. Jack_Reno

    Jack_Reno Блоха

    Messages:
    2
    Likes Received:
    0
    Ratings:
    +0 / 0
    Извините за глупый вопрос, но сейчас самая поздняя версия, на которую можно поставить HSK это бета18?
     
  10. Zim777

    Zim777

    Messages:
    220
    Likes Received:
    18
    Ratings:
    +124 / 3
    Пока что - да.
    Но, возможно, в скором времени будут первые тестовые образцы на В19 или 1.0
     
    Last edited: Oct 27, 2018
  11. Jack_Reno

    Jack_Reno Блоха

    Messages:
    2
    Likes Received:
    0
    Ratings:
    +0 / 0
    Ух, как же я жду... Спасибо за ответ.
     
  12. KRipe

    KRipe Блоха

    Messages:
    1
    Likes Received:
    0
    Ratings:
    +0 / 0
    Заметил баг - лаунчер не проверяет реальную установку модов в папке с игрой. Допустим я поставил лаунчер, добавил путь к игре,обновил. После стёр папку и установил чистый римворлд. При запуске он думает что есть моды, но игра запускается пустая.
    я понимаю что есть кнопка "забыть версию" но всё же.. не все такие умные -). Советую добавить некую проверку на реальную установку модов .
    Круто будет ели она проверит hash или размер папки всех модов и сравнит,допустим, с реальным, тогда можно избежать множества ошибок.
    Я бы сделал именно так. Беру текущую версию HK-SK , смотрю MD5 или размер каждой папки с модом и делаю вывод на основании этого,добавляю ,допустим текстовый файл "hash" в корень папки mods . При запуске лаунчер проверял бы
    1) наличие текстового файла с hash
    2) сравнивает текущие размер или md5 с файлом hash

    Так же не смог заставить работать галочку "Проверять ModsConfig.xml"
    Удаляю файл, лаунчер это просто игнорирует, и не создаёт. В папке с игрой он присутствует, проблема именно в том что он не помещает его в appdata
     
    Last edited by a moderator: Nov 5, 2018
  13. KOoogop

    KOoogop Блоха

    Messages:
    1
    Likes Received:
    0
    Ratings:
    +0 / 0
    Статус:
    )
    Помогите! Хотел скачать эту сборку, скачал лаунчер просит показать путь к игре (у меня пиратка) я открыл папку с римворлдом но exe файлов нету , только папки . Как установить??
     
  14. Zim777

    Zim777

    Messages:
    220
    Likes Received:
    18
    Ratings:
    +124 / 3
    скачать в18, именно в18 с правильным названием папок и файлов.
    можно взять сразу в18 х64 - ссылка в гайде в третьем разделе и на нее ставить
     
  15. Dzeniba

    Dzeniba

    Messages:
    817
    Likes Received:
    104
    Ratings:
    +344 / 9
    Ланчер обновлён до версии 1.6. Подробности в шапке.
     
  16. tway

    tway Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Помогите плз. У меня ланчер вообще не скачивает никаких версий, ни стабильной ни девелопской. Вернее скачивает по 5 МБ в минуту, а потом выдаёт ошибку в конце. Если же делать из репозитория, то на версию b18, стэйбл то устанавливается, но при входе в игру, пишет, что версия игры не совпадает с версией модов. При том, что б18 я качал с той группы в вк, которая в гайде на этом форуме. То есть я хз, но там только один вариант этого б18 и он не подходит. Тогда как dev версия, устанавливается из репозитория, всё замечательно работает (ну кроме вылетов иногда), но минус в том, что игра каждый раз устанавливает моды или типа того, но это занимает у неё минут 10-15 и такое при КАЖДОМ входе в игру. И сворачивать игру в этот момент нельзя, так как обратно вернуться уже не выйдет. Я бы ну очень хотел узнать, можно ли это всё пофиксить? И я был бы не против поиграть всё же в стейбл версию, так что еще попробую установить другую б18 и её из репозитория замодить.
     
  17. tway

    tway Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Ну и начались новые приколы. В частности отвалились все варианты смены языка кроме английского. А стейбл версия, как оказалось, ставится на б17, а не б18, потому моды не подходили. Но 17-я версия мягко говоря старовата, чтоб в неё играть
     
  18. Dzeniba

    Dzeniba

    Messages:
    817
    Likes Received:
    104
    Ratings:
    +344 / 9
    @tway, есть возможность на дискорд зайти? Там помощь быстрее придёт.

    Это лучше донести до писателя ланчера, которого можно встретить на дискорде.

    Поможет это сообщение. Поиском пользоваться можно!

    Для b18 нужна версия Master: https://github.com/skyarkhangel/Hardcore-SK/tree/master. На странице сборки можно открыть файл version.txt и в первой строчке посмотреть версию игры, требуемую данной сборке. Конкретно в этом файле указано: 0.18.1722.

    Версия https://github.com/skyarkhangel/Hardcore-SK/tree/development ставится на релиз 1.0, что так же можно увидеть в файле version.txt: 1.0.2150 на данный момент. Так что если Вы пират, то ищите именно эту версию Римки. На других версиях сборка может не работать, либо работать нестабильно.

    А на вкладке Tags (там, где Вы выбираете Stable, Master или Development) вообще можно скачать любые сборки для любых предыдущих версий Римки, в каждой из которых есть version.txt.

    Да, со сборкой HSK Римка грузится долго - многое зависит от Вашего калькулятора, на котором Вы играете ;) Некоторые и по 20 минут ждут, ведь охота пуще неволи! Самое шустрое - 5 минут, но параметры компа тщательно скрываются (rofl)
     
  19. tway

    tway Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Спасибо вам большое за информацию. А я то гадал, что за "мастер хардкор ск" я скачал. Думал что-то давнее, а оно вона как. Но к слову у меня в лаунчере нет варианта "мастер" инсталяции, только стэйбл и дев, что и ввело меня в замешательство. Касательно информации про языки, спасибо, однако по времени, загрузка римворлда 1.0 такая длинная, что попросту переустановить игру так же быстро получается, как что либо исправить, если для этого надо перезаходить). В общем, еще раз спасибо за ответ
     
  20. staer

    staer Блоха

    Messages:
    3
    Likes Received:
    0
    Ratings:
    +0 / 0
    Не могу включить мод Core SK, другие включаются нормально... Использую лаунчер 1.6, версия RimWorld 1.0.2150
     
  21. Dzeniba

    Dzeniba

    Messages:
    817
    Likes Received:
    104
    Ratings:
    +344 / 9
    Не нужно включать моды сборки вручную. Их порядок прописан в файле ModsConfig.xml, который при установке прописывается ланчером в нужную директорию. Если есть желание ещё и свои собственные моды прописать, то только после того списка из вышеозвученного файла. Повторюсь: порядок важен!